Public Member Functions

# BinNavi.API.debug.Process Class Reference

Target process of the debugger. More...

List of all members.

## Public Member Functions
void | addListener (final IProcessListener listener)
| Adds a process listener.
Memory | getMemory ()
| Returns the process memory.
MemoryMap | getMemoryMap ()
| Returns the process memory layout.
List< MemoryModule > | getModules ()
| Returns the loaded modules.
TargetInformation | getTargetInformation ()
| Returns information about the target process.
List< Thread > | getThreads ()
| Returns active threads in the target process.
void | removeListener (final IProcessListener listener)
| Removes a process listener.
String | toString ()
| Printable representation of the process.

## Detailed Description

Represents a target process that is being debugged.

## Member Function Documentation

void BinNavi.API.debug.Process.addListener | ( | final IProcessListener | listener | ) |

Adds an object that is notified about changes in the process.

Parameters:

  | listener | The listener object that is notified about changes in the process.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the process.

Memory BinNavi.API.debug.Process.getMemory | ( |  | ) |

Returns the simulated memory of target process. This memory object contains all the memory data that was already sent from the debug client to BinNavi.

Returns:
  The simulated memory of the target process.

MemoryMap BinNavi.API.debug.Process.getMemoryMap | ( |  | ) |

Returns the memory layout of the target process. The memory map object contains a list of all allocated parts of the target process memory.

Returns:
  The memory layout of the target process.

List<MemoryModule> BinNavi.API.debug.Process.getModules | ( |  | ) |

Returns the modules loaded into the address space of the process.

Returns:
  The modules loaded into the address space of the process.

TargetInformation BinNavi.API.debug.Process.getTargetInformation | ( |  | ) |

Returns the target information object of the target process.

Returns:
  The target information object of the target process.

List<Thread> BinNavi.API.debug.Process.getThreads | ( |  | ) |

Returns all threads that are active in the target process.

Returns:
  List of threads of the target process.

void BinNavi.API.debug.Process.removeListener | ( | final IProcessListener | listener | ) |

Removes a listener object from the process.

Parameters:

  | listener | The listener object to remove from the process.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the process.

String BinNavi.API.debug.Process.toString | ( |  | ) |

Returns a string representation of the target process.

Returns:
  A string representation of the target process.